data {
    int N;
    array[N] real St;
    array[N] int Res;
}
parameters {
    real<lower = .0> v_sgm;
    real v_C1;
    real<lower = 0.0> v_mu;
    real<lower = 0.0> v_C2;
}
transformed parameters {
    array[N] simplex[4] theta;
    real sgm;
    real C1;
    real mu;
    real C2;
    
    sgm = v_sgm * 100.0 + 0.0001;
    C1 = v_C1 * 100.0;
    mu = C1 + v_mu * 100.0 + 0.0001; 
    C2 = mu + v_C2 * 100.0 + 0.0001;
    for (i in 1:N) {
        theta[i][2] = normal_cdf(St[i] | C1, sgm);
        theta[i][3] = normal_cdf(St[i] | mu, sgm);
        theta[i][4] = normal_cdf(St[i] | C2, sgm);
        theta[i][1] = 1.0 - theta[i][2];
        theta[i][2] = theta[i][2] - theta[i][3];
        theta[i][3] = theta[i][3] - theta[i][4];
    }
}
model {
    v_sgm ~ exponential(0.1);
    v_C1 ~ normal(0.0, 10.0);
    v_mu ~ exponential(0.1);
    v_C2 ~ exponential(0.1);
    for (i in 1:N)
        Res[i] ~ categorical(theta[i]);
}
